Bug 418709 - copy/paste an internetlink breaks at eol
Summary: copy/paste an internetlink breaks at eol
Status: REPORTED
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: 5.13.3
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-10 14:26 UTC by olignomi
Modified: 2021-05-22 07:33 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
screenshot of pasted internet links (51.78 KB, image/png)
2021-05-07 07:47 UTC, olignomi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description olignomi 2020-03-10 14:26:31 UTC
SUMMARY
after inserting a longer link from an internet browser via copy and paste, the link in the kmail email program is broken at the end of the line. Then the rest of the link is just a text and therefore no longer leads to the desired website if you mouse-click it. 

STEPS TO REPRODUCE
1. 
2. 
3. 

OBSERVED RESULT


EXPECTED RESULT


SOFTWARE/OS VERSIONS
Operating System: openSUSE Leap 15.1
KDE Plasma Version: 5.18.2
KDE Frameworks Version: 5.67.0
Qt Version: 5.14.1
Kernel Version: 5.5.8-1.gfb4c60d-default
OS Type: 64-bit
Processors: 8 × AMD Ryzen 5 2400G with Radeon Vega Graphics
Memory: 13,6 GiB


ADDITIONAL INFORMATION
Comment 1 Stefan Brüns 2021-05-06 11:53:58 UTC
@olignomi:

Is the URL broken up already while pasting, or only after sending?
Comment 2 olignomi 2021-05-07 07:47:40 UTC
Created attachment 138210 [details]
screenshot of pasted internet links
Comment 3 olignomi 2021-05-07 07:51:40 UTC
Hallo Stefan,

it depends on the characters used in the links. See attached screenshot. I pasted different links into an eMail and saved the eMail.

The Internetbrowser used is firefox 88.0.1 (64bit)

the pasted links are: (see attachment):
https://www.merkur.de/welt/coronavirus-deutschland-pfingsten-urlaub-ostsee-nordsee-sylt-fehrmarn-regeln-schleswig-holstein-inzidenz-90496753.html



https://www.merkur.de/welt/coronavirus-deutschland-impfungen-impfturbo-impftermin-baden-wuerttemberg-stuttgart-90496486.html


https://www.merkur.de/welt/coronavirus-impfstoff-millionen-pharmafirmen-curevac-biontech-idt-biologika-deutschland-millionen-90045787.html

https://www.spiegel.de/consent-a-?
targetUrl=https%3A%2F%2Fwww.spiegel.de%2Fwissenschaft%2Fmedizin%2Fcorona-impfstoff-die-aufhebung-des-patentschutzes-wird-die-weltproduktion-nicht-unbedingt-erhoehen-a-f23f44cb-011b-4e6a-9264-27e72bd7fa7c&ref=https%3A%2F%2Fwww.google.com%2F
Comment 4 Bug Janitor Service 2021-05-22 04:33:41 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!